=== requirements.txt ===
mock
xenapi
coveralls
pylint
