=== debian/changelog ===
xcp-sm (0.9.7-3) UNRELEASED; urgency=low

  * Remove xen-missing-headers dependency

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Thu, 04 Sep 2014 12:00:00 +0000

xcp-sm (0.9.7-2) UNRELEASED; urgency=low

  * Update file list

 -- David Scott <dave.scott@citrix.com>  Fri, 20 Jun 2014 12:00:00 +0000

xcp-sm (0.9.7-1) UNRELEASED; urgency=low

  * Update to 0.9.7: Rebase to xapi-project/sm b890746ea3b64058654947a6b74caf578cc11311

 -- Bob Ball <bob.ball@citrix.com>  Fri, 20 Jun 2014 12:00:00 +0000

xcp-sm (0.9.6-3) UNRELEASED; urgency=low

  * Added fix for paths to blktap to use buildroot versions

 -- Bob Ball <bob.ball@citrix.com>  Wed, 30 Apr 2014 12:00:00 +0000

xcp-sm (0.9.6-2) UNRELEASED; urgency=low

  * Add dependency on xen-runtime

 -- Euan Harris <euan.harris@eu.citrix.com>  Tue, 10 Dec 2013 12:00:00 +0000

xcp-sm (0.9.6-1) UNRELEASED; urgency=low

  * Update to 0.9.6, with fixes for iSCSI volumes on Ubuntu

 -- Euan Harris <euan.harris@eu.citrix.com>  Fri, 08 Nov 2013 12:00:00 +0000
