=== debian/control ===
Source: xcp-sm
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 qemu-system-x86,
 python,
 debhelper (>= 8),
 swig,
 blktap-utils,
 pylint,
 blktap-dev,
 libxen-dev,
 python-dev

Package: xcp-sm
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 open-iscsi,
 sg3-utils,
 xen-utils
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: XCP storage managers
 This package contains storage backends used in XCP

Package: xcp-sm-rawhba
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: XCP rawhba SR type capability
 This package adds a new rawhba SR type. This SR type allows
 utilization of Fiber Channel raw LUNs as separate VDIs (LUN per VDI)
