=== requirements.txt ===
mock
xenapi
coveralls
pylint==1.2.0
