=== debian/changelog ===
xcp-sm (0.9.8.7b9e69-1) UNRELEASED; urgency=low

  * Updated to master

 -- Bob Ball <bob.ball@citrix.com>  Wed, 07 Jan 2015 12:00:00 +0000

xcp-sm (0.9.8-1) UNRELEASED; urgency=low

  * Moved patches to spec file rather than custom repository

 -- Bob Ball <bob.ball@citrix.com>  Tue, 30 Sep 2014 12:00:00 +0000
