=== debian/control ===
--- 
+++ 
@@ -24,7 +24,8 @@
  ${misc:Depends},
  open-iscsi,
  sg3-utils,
- xen-utils
+ xen-utils,
+ blktap
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: XCP storage managers
